org.gradle.language.base

## Interface ProjectSourceSet

- All Superinterfaces:
    Collection<FunctionalSourceSet>, org.gradle.util.Configurable<NamedDomainObjectContainer<FunctionalSourceSet>>, DomainObjectCollection<FunctionalSourceSet>, Iterable<FunctionalSourceSet>, NamedDomainObjectCollection<FunctionalSourceSet>, NamedDomainObjectContainer<FunctionalSourceSet>, NamedDomainObjectSet<FunctionalSourceSet>, Set<FunctionalSourceSet>

      @Incubating
      public interface ProjectSourceSet
      extends NamedDomainObjectContainer<FunctionalSourceSet>

  A container of `FunctionalSourceSet`s. Added to a project by the `LanguageBasePlugin`.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`